#
# spec file for package gnome-screensaver (Version 2.20.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-data-SuSE desktop-translations diffutils esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel gle glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-menus gnome-menus-devel gnome-menus-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl-certs orbit2 orbit2-devel pam pam-config pam-devel pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils python rpm sed setserial sqlite sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xdg-utils xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel xscreensaver zlib zlib-devel


Name:           gnome-screensaver
BuildRequires:  fdupes gnome-common gnome-menus-devel intltool libglade2-devel libgnomeui-devel libxslt pam-devel perl-XML-Parser update-desktop-files xscreensaver
%if %suse_version > 1010
BuildRequires:  dbus-1-glib-devel
%else
BuildRequires:  dbus-1-devel dbus-1-glib
%endif
Version:        2.20.0
Release:        6.6
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        GNOME Screen Saver and Locker
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.18/%{name}-%{version}.tar.bz2
Patch:          gnome-screensaver-suse-pam.diff
# FIXME: This patch needs to be redone.
Patch6:         gnome-screensaver-unlock-dialog-size.patch
Patch7:         gnome-screensaver-xvkbd-on-lock.patch
Patch8:         gnome-screensaver-2.19.1.1-securitytoken.patch
Patch9:         gnome-screensaver-372609-pwent-unlock.patch
# PATCH-FIX-UPSTREAM gnome-screensaver-clear-clipboard.patch bnc406671 rodrigo@novell.com
Patch10:        gnome-screensaver-clear-clipboard.patch
AutoReqProv:    on
Requires:       /sbin/unix2_chkpwd xscreensaver
Requires:       %{name}-lang = %{version}
Provides:       %{name}-devel = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
gnome-screensaver is a screen saver and locker that aims to
   havesimple, sane, and secure defaults and to be well integrated
   in the desktop. It is designed to support: * The ability to lock
   down configuration settings

* Translation into other languages

* User switching



Authors:
--------
    William Jon McCann <mccann@jhu.edu>

%lang_package
%debug_package
%prep
%setup -q
%patch
# %patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10

%build
# gnome-common intltool are needed only here
autoreconf -f -i
# needed for gnome-screensaver-2.16.1:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# FIXME: Maybe libexecdir the same as xscreensaver.
%configure\
	--libexecdir=%{_prefix}/lib/%{name}\
	--with-pam-prefix=/etc\
	--enable-authentication-scheme=helper\
	--with-passwd-helper="/sbin/unix2_chkpwd"\
	--with-xscreensaverdir=/etc/xscreensaver
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file gnome-screensaver-preferences GNOME Screensaver X-SuSE-ControlCenter-LookAndFeel
sh data/migrate-xscreensaver-config.sh /etc/xscreensaver/*.xml
rm bsod.desktop barcode.desktop blitspin.desktop bouncingcow.desktop decayscreen.desktop distort.desktop flipscreen3d.desktop fliptext.desktop glsnake.desktop jigsaw.desktop mirrorblob.desktop popsquares.desktop rotzoomer.desktop slidescreen.desktop sonar.desktop twang.desktop xanalogtv.desktop xflame.desktop xjack.desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/screensavers
mv *.desktop $RPM_BUILD_ROOT%{_datadir}/applications/screensavers
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
sed -e 's/common-auth/common-auth-smartcard/g' < $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver > $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver-smartcard
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%config /etc/pam.d/gnome-screensaver
%config /etc/pam.d/gnome-screensaver-smartcard
%{_sysconfdir}/xdg/menus/gnome-screensavers.menu
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_datadir}/pixmaps/backgrounds/*
%{_datadir}/gnome-screensaver
%{_datadir}/pixmaps/gnome-logo-white.svg
%{_libdir}/pkgconfig/gnome-screensaver.pc
%{_prefix}/lib/%{name}
# FIXME: Directory ownership:
%dir %{_datadir}/applications/screensavers
# FIXME: Maybe bad directory ownership:
%dir %{_datadir}/pixmaps/backgrounds
# FIXME: Directory ownership:
#%dir %{_sysconfdir}/xdg/menus

%files lang -f %{name}.lang

%changelog
* Mon Aug 11 2008 - rodrigo@suse.de
- Added upstream patch for clearing clipboard when locking the
  screen (bnc#406671)
* Thu Mar 20 2008 - maw@suse.de
- Add gnome-screensaver-372609-pwent-unlock.patch (#372609 and
  CVE-2008-0887), fixing a security problem whereby
  gnome-screensaver will unlock without a valid password if a NIS
  server is down.
* Mon Nov 12 2007 - rodrigo@suse.de
- Fixed gnome-screensaver-xvkbd-on-lock.patch to actually display
  correctly the xvkbd window (#304399)
* Tue Sep 18 2007 - maw@suse.de
- Update to version 2.20.0:
  + Fixed bugzilla.gnome.org #442853
  + Updated translations.
* Thu Sep 13 2007 - rodrigo@suse.de
- Trap BadWindow errors to avoid crashes (#244713)
* Fri Aug 31 2007 - maw@suse.de
- Update to version 2.19.7:
  + Fixed build on Solaris (b.g.o #437225)
  + Last libgnome dependency removed (b.g.o #463754)
  + Initialize XWindowAttributes
  + Slideshow improvements
  + Updated translations.
* Wed Aug 08 2007 - maw@suse.de
- Split off a -lang subpackage.
* Fri Aug 03 2007 - maw@suse.de
- Update to version 2.19.6:
  + Bugs (bugzilla.gnome.org) fixed: #331515, #354663, #434712,
  [#436818], #445443, #461824, #461814, #461722, #461028, #456705,
  and #327602.
  + Updated translations.
- Use %%fdupes.
* Sat Jul 28 2007 - jberkman@novell.com
- add support for locking the screen if a smartcard was used to log in, and
  for unlocking using a smartcard
* Mon Jul 09 2007 - maw@suse.de
- Update to version 2.19.1.1
- Fixes for bugzilla.gnome.org #384509, #411252, and #428199.
* Thu Jun 21 2007 - rodrigo@suse.de
- Updated xvkbd patch to check correctly XGetClasHint return code
  (found by Scott Reeves).
* Fri Jun 15 2007 - rodrigo@suse.de
- Updated xvkbd patch to initialize X structures to avoid use of
  uninitialised values.
* Thu May 03 2007 - rodrigo@suse.de
- Added patch from SLE10-SP1 to run xvkbd on the lock window (FATE
  [#300346])
* Thu Apr 12 2007 - maw@suse.de
- Update to version 2.18.1
- Fixes for bugzilla.gnome.org #424165 and #425550
- Updates for the zh_CN, ca, da, lv, sl, eu, and gl locales.
* Fri Mar 30 2007 - maw@suse.de
- Update to version 2.18.0
- b.g.o 417538, 417323, 412492, 412486, 411393, 400579, 407964,
  and 407524.
* Fri Mar 09 2007 - maw@suse.de
- Update to version 2.17.7
  * #402183, use gdm socket command to start a login procedure
  when available (Matthias Clasen)
  * #403936, Specifically block shaping the window (William Jon McCann)
  * Sync FUSA code with upstream
  Translators
  * Updated fr: Stéphane Raimbault
  * Updated nl: Wouter Bolsterlee
  * Updated ca: Josep Puigdemont i Casamajó
  * Updated pt_BR: Leonardo Ferreira Fontenelle
  * Updated da: Lasse Bang Mikkelsen
* Fri Jan 12 2007 - sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec 29 2006 - james@usr-local-bin.org
- Fix %%post.
* Thu Dec 14 2006 - maw@suse.de
- Move to /usr
- Do some specfile cleanup.
* Thu Nov 30 2006 - sbrabec@suse.cz
- Build correctly in older products.
* Thu Nov 09 2006 - rodrigo@suse.de
- Removed patch to enable switch users by default (#195338)
* Thu Oct 19 2006 - jpr@suse.de
- Remove gnome-screensaver-disable-root-unlock.patch, upstream no
  longer allows the root password to unlock (#213090)
* Tue Oct 17 2006 - danw@suse.de
- Remove dead patches
* Fri Oct 13 2006 - rodrigo@suse.de
- Added --enable-authentication-scheme=helper option to configure,
  to make it really use the helper program (#204364)
* Wed Oct 04 2006 - jhargadon@suse.de
- update to version 2.16.1
- Set the correct value of DISPLAY for the gl helper
- Don't queue keys that may cause focus navigation
- Don't explicitly set icon sizes in preview bar
- translation updates
* Fri Sep 29 2006 - rodrigo@suse.de
- Filter some xscreensaver hacks, like for SP1.
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 2.16.0
- translation updates
* Wed Sep 13 2006 - rodrigo@suse.de
- Added dependency on libxslt (xsltproc) for generating the .desktop
  files for xscreensaver hacks, and copy the resulting files to the
  new directory ($datadir/applications/screensavers).
* Sat Sep 02 2006 - aj@suse.de
- Cleanup BuildRequires.
- Disable patch for Bug 186204 since the code does not exist anymore.
* Thu Aug 31 2006 - jhargadon@suse.de
- update to version 2.15.7
- translation updates
* Tue Aug 29 2006 - rodrigo@suse.de
- Added patch to disable root's ability to unlock users'
  screensaver (#186204)
- Added missing build dependencies
* Wed Aug 23 2006 - jhargadon@suse.de
- update to version 2.15.6
- Support drag-n-drop of themes to preferences dialog
- Add support for embedding a keyboard in window
- More memory usage reduction
- Only allow a small number of queued key events
* Mon Aug 14 2006 - thoenig@suse.de
- Add patch gnome-screensaver-dbus-api-fix-thoenig-01.patch: Use
  dbus_connection_close, not dbus_connection_disconnect
* Mon Aug 07 2006 - rodrigo@suse.de
- Create XML files for xscreensaver hacks at build time (#116331)
* Tue Aug 01 2006 - schwab@suse.de
- Remove newline from substituted variable.
* Mon Jun 19 2006 - rodrigo@suse.de
- Removed last patch, which didn't fix 167510 and introduced a new
  bug (#185103)
* Thu May 25 2006 - rodrigo@suse.de
- Added patch to lock the screen before signalling DBUS listeners
  that the screen saver is active. Thus, gnome-power-manager will
  start the suspend when the screensaver is active, avoiding seeing
  the screen fading out when resuming (167510)
* Mon May 08 2006 - rodrigo@suse.de
- Added gnome-screensaver-unlock-dialog-size.patch to fix weird
  resizing of the users list (#170846)
* Wed Apr 26 2006 - gekker@suse.de
- Fix incorrect indication of caps lock (#159513)
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Wed Apr 12 2006 - danw@suse.de
- Fix the screensaver modules to not unset the fullscreen and
  keep_above flags, because compiz, unlike metacity, restacks
  the window in that case. #163931.
* Mon Mar 20 2006 - ro@suse.de
- lib64 buildfix (pkgconfig is lib64)
* Tue Mar 14 2006 - rodrigo@suse.de
- Updated to latest upstream version, which fixes #156754,
  [#134201].
- Improved regexp for no->nb_NO move.
* Wed Feb 22 2006 - rodrigo@suse.de
- Updated to latest upstream version, which fixes #146434,
  [#148739], #119784. as well as others.
- Removed upstreamed patches.
* Mon Feb 20 2006 - jpr@suse.de
- Don't abort if XFree86-VidModeExtension is not available (#152147)
* Mon Feb 13 2006 - rodrigo@suse.de
- Removed extra g_free already present upstream (#148379).
* Mon Feb 13 2006 - rodrigo@suse.de
- Use correct types for string formatting. Fixes #148379.
* Mon Feb 06 2006 - rodrigo@suse.de
- Use correct UTF-8 strings. Fixes #146434.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - rodrigo@suse.de
- Updated to 0.0.25.
- Updated missing-icon patch to upstream changes.
- Some spec file fixes.
* Thu Nov 17 2005 - rodrigo@suse.de
- Update to 0.0.20 release.
* Wed Nov 16 2005 - rodrigo@suse.de
- Added gnome-screensaver-missing-icon.patch.
* Tue Nov 15 2005 - rodrigo@suse.de
- Update to 0.0.19 release.
- Update PAM patch.
* Thu Oct 20 2005 - rodrigo@suse.de
- Enable user switching by default.
* Tue Oct 18 2005 - rodrigo@suse.de
- Update to version 0.0.16.
- Removed patch fixed upstream.
- Added rename of 'no' locale to 'nb_NO'.
* Wed Oct 05 2005 - rodrigo@suse.de
- Require xscreensaver, so that default installation has more than
  just 2/3 screensavers.
* Thu Sep 15 2005 - clahey@suse.de
- Update categories for desktop file.
- Part of fix for #115299.
* Tue Sep 13 2005 - rodrigo@suse.de
- Update to version 0.0.13, which contains the two patches
  recently added (for #116331 and #114729) plus speed up when
  loading xscreensaver hacks.
* Mon Sep 12 2005 - sbrabec@suse.cz
- Fixed xscreensaver hack directory (#116331).
* Mon Sep 12 2005 - rodrigo@suse.de
- Updated kdm patch to fix all cases for #114729.
* Mon Sep 12 2005 - rodrigo@suse.de
- Added xscreensaver to nfb so that we get the /etc/xscreensaver
  directory (#116331)
* Mon Sep 12 2005 - rodrigo@suse.de
- Added gnome-screensaver-kdm.patch (#114729)
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 0.0.12.
* Tue Sep 06 2005 - rodrigo@suse.de
- Update to version 0.0.11
* Wed Aug 31 2005 - rodrigo@suse.de
- Update to version 0.0.10
- Removed upstreamead patch (#113355)
- Added flags to get the /etc/xscreensaver dir.
* Fri Aug 26 2005 - rodrigo@suse.de
- Added gnome-screensaver-xscreensaver patch (#113355)
- Removed description patch, since it makes the dialog very ugly
  when displaying the huge list of xscreensaver hacks.
- Moved missing icon part of description patch to its own file.
* Thu Aug 25 2005 - rodrigo@suse.de
- Removed pam for nfb.
* Thu Aug 25 2005 - rodrigo@suse.de
- Updated to upstream 0.0.9.
- Add my patches in a separate file.
* Mon Aug 15 2005 - rodrigo@suse.de
- Updated to CVS's 0.0.9 with all my uncommitted patches.
- Removed upstreamed patch.
* Fri Aug 05 2005 - rodrigo@suse.de
- Don't depend on xscreensaver.
- Display icon for configuration to the control center (bug #102357)
* Wed Aug 03 2005 - gekker@suse.de
- Update to version 0.0.8
* Tue Aug 02 2005 - sbrabec@suse.cz
- Use hacks in its own directory.
* Tue Jul 26 2005 - sbrabec@suse.cz
- Patch to share screensaver modules with xscreensaver.
* Tue Jul 19 2005 - sbrabec@suse.cz
- Added --with-passwd-helper=/sbin/unix2_chkpwd (#96125).
* Mon Jul 11 2005 - sbrabec@suse.cz
- Updated to version 0.0.7.
- Fixed PAM support (patch from Rodrigo Moya).
* Fri Jul 01 2005 - sbrabec@suse.cz
- New SuSE package, version 0.0.5.
